package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.CardKycSingleStatusDto;
import com.crm.rely.backend.core.dto.ucard.CardKycStatusDto;
import com.crm.rely.backend.core.entity.ucard.CardKycStatusPageEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardKycStatusMapper {

    Integer countList(CardKycStatusPageEntity entity);

    List<CardKycStatusDto> pageList(CardKycStatusPageEntity entity);

    CardKycSingleStatusDto getKycApproveById(Long id);

    CardKycStatusDto getKycApproveByUniqueId(String uniqueId);
}
